/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
HTML content. To learn how to do something, just try searching Google for questions like
"how to change link color." */

:root {
    --header-image: url('logoTitle.png');
    --body-bg-image: url('background.png');

    /* colors */
    --content: green;
}

/* if you have the URL of a font, you can set it below */
/* feel free to delete this if it's not your vibe */

/* this seems like a lot for just one font and I would have to agree 
but I wanted to include an example of how to include a custom font.
If you download a font file you can upload it onto your Neocities
and then link it! Many fonts have separate files for each style
(bold, italic, etc. T_T) which is why there are so many!

*/

body {
    margin: 0;
    background-color: black;
    /* you can delete the line below if you'd prefer to not use an image */
    background-size: 300px;
    color: #adff2f;
    background-image: var(--body-bg-image);
}

* {
    box-sizing: border-box;
}

/* below this line is CSS for the layout */

/* this is a CSS comment
to uncomment a line of CSS, remove the * and the /
before and after the text */


/* the "container" is what wraps your entire website */
/* if you want something (like the header) to be Wider than
the other elements, you will need to move that div outside
of the container */
#container {
    /* max-width: 1200px; */
    /* this is the width of your layout! */
    /* if you change the above value, scroll to the bottom
and change the media query according to the comment! */
    margin: 0 auto;
    /* this centers the entire page */
}

/* the area below is for all links on your page
EXCEPT for the navigation */
#container a {
    color: lime;
    font-weight: bold;
    text-decoration: underline;
}

#container a:hover {
    color: white;
    font-weight: bold;
}

#header {
    width: 100%;
    text-align: center;
}

#header  > img{
    width: 50%;
}

/* navigation section!! */
#navbar {
    width: 100%;
}

#navbar ul {
    display: flex;
    padding: 0;
    list-style-type: none;
    justify-content: space-evenly;
}

#navbar li{
  padding: 10px;
  background-color: purple;
  border: outset fuchsia;
}

/* navigation links*/
#navbar li a {
    color: #ffe29a;
    /* navbar text color */
    font-weight: 800;
    text-decoration: none;
    /* this removes the underline */
}

/* navigation link when a link is hovered over */
#navbar li a:hover {
    color: white;
    text-decoration: none;
}

#flex {
    display: flex;
}

/* this colors BOTH sidebars
if you want to style them separately,
create styles for #leftSidebar and #rightSidebar */
aside {
    background-color: #024160;
    width: 200px;
    padding: 20px;
    font-size: smaller;
    /* this makes the sidebar text slightly smaller */
}

/* this is the color of the main content area,
between the sidebars! */
main {
    flex: 1;
    padding: 20px;
}

.card{
  padding: 30px;
}

.articleCard{
  display: grid;
  background-color: gray;
  margin: 20px 10%;
}

.underline{
  font-weight: bold;
  text-decoration: underline;
}

/* what's this "order" stuff about??
allow me to explain!
if you're using both sidebars, the "order" value
tells the CSS the order in which to display them.
left sidebar is 1, content is 2, and right sidebar is 3! */

*/ #leftSidebar {
    order: 1;
}

#rightSidebar {
    order: 3;
}

#footer {
    display:flex;
    margin-top: 10px;
    width:100%;
    justify-content: center;
}

#footer > p{
    border: dotted fuchsia;
    padding: 5px;
    color: #ffe29a;
}

h1,
h2,
h3 {
    color: #ffe29a;
    margin-bottom:0px;
}

h1 {
    margin-bottom:0px;
    font-size: 25px;
}

strong {
    /* this styles bold text */
    color: #ED64F5;
}

/* this is just a cool box, it's the darker colored one */
.box {
    background-color: #493B6E;
    border: 1px solid #024160;
    padding: 10px;
}

/* CSS for extras */

#topBar {
    width: 100%;
    height: 30px;
    padding: 10px;
    font-size: smaller;
    background-color: #13092D;
}

.centered{
    text-align: center;
}
